summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
Diffstat (limited to 'system')
-rw-r--r--system/biew/README6
-rw-r--r--system/biew/biew.SlackBuild87
-rw-r--r--system/biew/biew.info10
-rw-r--r--system/biew/makefile.diff10
-rw-r--r--system/biew/slack-desc19
5 files changed, 132 insertions, 0 deletions
diff --git a/system/biew/README b/system/biew/README
new file mode 100644
index 0000000000..f59c3cd4e5
--- /dev/null
+++ b/system/biew/README
@@ -0,0 +1,6 @@
+BIEW (Binary vIEW) is a free, portable, advanced file viewer with
+built-in editor for binary, hexadecimal and disassembler modes.
+It contains a highlight PentiumIV/K7-Athlon/Cyrix-M2 disassembler,
+full preview of MZ, NE, PE, LE, LX, DOS.SYS, NLM, ELF, a.out, arch,
+coff32, PharLap, rdoff executable formats, a code guider, and lot
+of other features, making it invaluable for examining binary code.
diff --git a/system/biew/biew.SlackBuild b/system/biew/biew.SlackBuild
new file mode 100644
index 0000000000..e94c401613
--- /dev/null
+++ b/system/biew/biew.SlackBuild
@@ -0,0 +1,87 @@
+#!/bin/sh
+
+# Slackware build script for biew
+# Written by Oleg O. Chukaev <oleg.chukaev@mail.ru>
+
+PRGNAM=biew
+VERSION=6.1.0
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRC_VERSION=$(echo $VERSION | tr -d .)
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$SRC_VERSION
+tar xvf $CWD/$PRGNAM-$SRC_VERSION-src.tar.bz2
+cd $PRGNAM-$SRC_VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr
+
+# biewlib/sysdep/ia32/cpu_info.c requires -msse for compilation.
+patch -i $CWD/makefile.diff
+
+make
+make install \
+ PREFIX=$PKG/usr \
+ DATADIR=$PKG/usr/share/biew \
+ LIBDIR=$PKG/usr/lib$LIBDIRSUFFIX/biew
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cd doc
+ cp -a \
+ biew_en.txt biew_ru.txt compile.en compile.ru develop.en develop.ru \
+ file_id.diz file_ini.en file_ini.ru licence.en licence.ru release.txt \
+ unix.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cd ..
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/biew/biew.info b/system/biew/biew.info
new file mode 100644
index 0000000000..44e727e2d6
--- /dev/null
+++ b/system/biew/biew.info
@@ -0,0 +1,10 @@
+PRGNAM="biew"
+VERSION="6.1.0"
+HOMEPAGE="http://beye.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/beye/biew-610-src.tar.bz2"
+MD5SUM="1b6477defaa61b8ca0f2ae1254978e94"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Oleg O. Chukaev"
+EMAIL="oleg.chukaev@mail.ru"
+APPROVED="rworkman"
diff --git a/system/biew/makefile.diff b/system/biew/makefile.diff
new file mode 100644
index 0000000000..135ca2208d
--- /dev/null
+++ b/system/biew/makefile.diff
@@ -0,0 +1,10 @@
+--- makefile.orig 2009-09-23 11:17:50.000000000 +0400
++++ makefile 2009-10-31 19:21:26.000000000 +0300
+@@ -244,6 +244,7 @@
+ biewlib/tw_class.o: biewlib/tw_class.c
+ biewlib/sysdep/$(MACHINE)/aclib.o: biewlib/sysdep/$(MACHINE)/aclib.c
+ biewlib/sysdep/$(MACHINE)/cpu_info.o: biewlib/sysdep/$(MACHINE)/cpu_info.c
++ $(CC) $(CFLAGS) $(INCS) -msse -c $< -o $@
+ biewlib/sysdep/$(MACHINE)/$(HOST)/fileio.o: biewlib/sysdep/$(MACHINE)/$(HOST)/fileio.c
+ biewlib/sysdep/$(MACHINE)/$(HOST)/keyboard.o: biewlib/sysdep/$(MACHINE)/$(HOST)/keyboard.c
+ biewlib/sysdep/$(MACHINE)/$(HOST)/mmfio.o: biewlib/sysdep/$(MACHINE)/$(HOST)/mmfio.c
diff --git a/system/biew/slack-desc b/system/biew/slack-desc
new file mode 100644
index 0000000000..61dd07f371
--- /dev/null
+++ b/system/biew/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+biew: BIEW (console hex viewer/editor and disassembler)
+biew:
+biew: BIEW (Binary vIEW) is a free, portable, advanced file viewer with
+biew: built-in editor for binary, hexadecimal and disassembler modes.
+biew: It contains a highlight PentiumIV/K7-Athlon/Cyrix-M2 disassembler,
+biew: full preview of MZ, NE, PE, LE, LX, DOS.SYS, NLM, ELF, a.out, arch,
+biew: coff32, PharLap, rdoff executable formats, a code guider, and lot
+biew: of other features, making it invaluable for examining binary code.
+biew:
+biew: Homepage: http://beye.sourceforge.net/
+biew: